Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8262 - DNS lookup
Summary: DNS lookup
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: apache
Version: 1.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 958
TreeView+ depends on / blocked
 
Reported: 2000-01-07 11:30 UTC by osman
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-13 22:18:14 UTC


Attachments (Terms of Use)

Description osman 2000-01-07 11:30:41 UTC
Minor:
It seems that the NoProxy directive can handle multiple arguments seperated
by a comma.

Major:
When you use the <Directory proxy:*> directive as distributed with the last
version(s).
There is an error with the handling of the allow from directive.
It doesn't do DNS ! So you can't use canonical names. It works when you use
IP#'s.
Is this a bug in the proxy module or did something else broke?
Maybe it's best you forward this to the apache development team...?

Comment 1 osman 2000-01-10 07:10:59 UTC
It seems that this bug is not actualy in the proxy module (IMHO).
The symptom is available in all Allow from directives and perhaps similars.
I just found out it had problems with the allow from because it stoped allowing
an internal lan machine from accessing wich it allowed before with the same
config.

Comment 2 Preston Brown 2000-01-13 22:18:59 UTC
this is actually a feature.  DNS lookups are off in apache for performance
reasons.  Otherwise, each access would result in a DNS lookup, which is VERY
SLOW relative to other operations.

You can enable them though if you wish.  Please read the apache manual.


Note You need to log in before you can comment on or make changes to this bug.